Bug 126143 - [PATCH] graphics/php4-ffmpeg: update to 0.5.3.1
[PATCH] graphics/php4-ffmpeg: update to 0.5.3.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alonso Cardenas Marquez
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 19:10 UTC by sunpoet
Modified: 2008-11-12 17:10 UTC (History)
1 user (show)

See Also:


Attachments
php4-ffmpeg-0.5.3.1.patch (1.94 KB, patch)
2008-07-31 19:10 UTC, sunpoet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sunpoet 2008-07-31 19:10:03 UTC
- Update to 0.5.3.1
  It also avoids apache crashes due to deprecated functions such as av_free_static.
  Error message is like "/usr/local/lib/php/20060613/ffmpeg.so: Undefined symbol "av_free_static".
- Use macro for MASTER_SITES
- Override PR/126026

Port maintainer (acm@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-07-31 19:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 pav freebsd_committer 2008-09-05 15:43:56 UTC
State Changed
From-To: open->feedback

Does not compile: 

[..] 
/work/a/ports/graphics/php4-ffmpeg/work/ffmpeg-php-0.5.3.1/ffmpeg_movie.c:77: error: `ffmpeg_movie' undeclared here (not in a function) 
/work/a/ports/graphics/php4-ffmpeg/work/ffmpeg-php-0.5.3.1/ffmpeg_movie.c:77: error: `__construct' undeclared here (not in a function) 
[..]
Comment 3 sunpoet 2008-10-16 08:02:33 UTC
Hi,

My apologize for the late response.
According to INSTALL file in the tarball, PHP4 users should use ffmpeg-php prior
to 0.5.1.
Thus, I make a new patch.
For PHP4 users, ffmpeg-php is upgraded to 0.5.1. (last version for php4)
For PHP5 users, ffmpeg-php is upgraded to 0.6.0. (latest version)

Best regards,
Sunpoet

===> Generating patch
===> Viewing diff with less
diff -ruN --exclude=CVS /usr/ports/graphics/php4-ffmpeg/Makefile /usr/ports/sunpoet/php4-ffmpeg/Makefile
--- /usr/ports/graphics/php4-ffmpeg/Makefile	2008-04-24 10:14:42.000000000 +0800
+++ /usr/ports/sunpoet/php4-ffmpeg/Makefile	2008-10-16 11:40:38.513113484 +0800
@@ -6,13 +6,12 @@
 #
 
 PORTNAME=	ffmpeg
-PORTVERSION=	0.5.0
-PORTREVISION=	2
+PORTVERSION=	0.5.1
 CATEGORIES=	graphics
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=${PORTNAME}-${PKGNAMEPREFIX:S/4-//:S/5-//}
-PKGNAMEPREFIX?=	php4-
-DISTNAME=	${PORTNAME}-${PKGNAMEPREFIX:S/4-//:S/5-//}-${PORTVERSION}
+MASTER_SITES=	SF
+MASTER_SITE_SUBDIR=${PORTNAME}-php
+PKGNAMEPREFIX=	php4-
+DISTNAME=	${PORTNAME}-php-${PORTVERSION}
 EXTRACT_SUFX=	.tbz2
 
 MAINTAINER=	acm@FreeBSD.org
@@ -21,12 +20,12 @@
 LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd \
 		avutil.1:${PORTSDIR}/multimedia/ffmpeg
 
+CFLAGS+=	-I${LOCALBASE}/include
+DEFAULT_PHP_VER=4
+IGNORE_WITH_PHP=5
 USE_BZIP2=	yes
 USE_PHP=	yes
 USE_PHPIZE=	yes
 USE_PHPEXT=	yes
-IGNORE_WITH_PHP?=5
-DEFAULT_PHP_VER?=4
-CFLAGS+=	-I${LOCALBASE}/include
 
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/graphics/php4-ffmpeg/distinfo /usr/ports/sunpoet/php4-ffmpeg/distinfo
--- /usr/ports/graphics/php4-ffmpeg/distinfo	2006-11-18 01:44:50.000000000 +0800
+++ /usr/ports/sunpoet/php4-ffmpeg/distinfo	2008-10-16 11:23:31.661795788 +0800
@@ -1,3 +1,3 @@
-MD5 (ffmpeg-php-0.5.0.tbz2) = f13bbbe9d46ba29402fefb942a2c4adf
-SHA256 (ffmpeg-php-0.5.0.tbz2) = 9f6ac3ca74cd867c60fd84eab026493e558f5d929be7bb9028dfad1955926962
-SIZE (ffmpeg-php-0.5.0.tbz2) = 1606351
+MD5 (ffmpeg-php-0.5.1.tbz2) = 705e306c0687cf3fb4743c2a7e847c2f
+SHA256 (ffmpeg-php-0.5.1.tbz2) = bbdb2091084129abb266e33b8dc3ea14b3870e8f3ab7a26141c322c6c1b86d8a
+SIZE (ffmpeg-php-0.5.1.tbz2) = 1603431
diff -ruN --exclude=CVS /usr/ports/graphics/php4-ffmpeg/files/patch-config.m4 /usr/ports/sunpoet/php4-ffmpeg/files/patch-config.m4
--- /usr/ports/graphics/php4-ffmpeg/files/patch-config.m4	1970-01-01 08:00:00.000000000 +0800
+++ /usr/ports/sunpoet/php4-ffmpeg/files/patch-config.m4	2008-07-28 15:53:23.000000000 +0800
@@ -0,0 +1,27 @@
+--- config.m4.orig	2006-09-30 02:14:15.000000000 +0800
++++ config.m4	2008-07-28 15:53:18.099676966 +0800
+@@ -6,7 +6,11 @@
+ 
+   AC_MSG_CHECKING(for ffmpeg headers)
+   for i in $PHP_FFMPEG /usr/local /usr ; do
+-    if test -f $i/include/ffmpeg/avcodec.h; then
++    if test -f $i/include/libavcodec/avcodec.h; then
++      FFMPEG_DIR=$i
++      FFMPEG_INCDIR="$i/include/libavcodec $i/include/libavformat"
++      break
++    elif test -f $i/include/ffmpeg/avcodec.h; then
+       FFMPEG_DIR=$i
+       FFMPEG_INCDIR=$i/include/ffmpeg
+       break
+@@ -45,7 +49,10 @@
+ 
+   PHP_ADD_LIBRARY_WITH_PATH(avcodec, $FFMPEG_LIBDIR, FFMPEG_SHARED_LIBADD)
+   PHP_ADD_LIBRARY_WITH_PATH(avformat, $FFMPEG_LIBDIR, FFMPEG_SHARED_LIBADD)
+-  PHP_ADD_INCLUDE($FFMPEG_INCDIR)
++
++  for i in $FFMPEG_INCDIR; do
++    PHP_ADD_INCLUDE($i)
++  done
+ 
+   PHP_NEW_EXTENSION(ffmpeg, ffmpeg-php.c ffmpeg_movie.c ffmpeg_frame.c ffmpeg_animated_gif.c, $ext_shared,, \\$(GDLIB_CFLAGS))
+   PHP_SUBST(FFMPEG_SHARED_LIBADD)
===> Done

===> Generating patch
===> Viewing diff with less
diff -ruN --exclude=CVS /usr/ports/graphics/php5-ffmpeg/Makefile /usr/ports/sunpoet/php5-ffmpeg/Makefile
--- /usr/ports/graphics/php5-ffmpeg/Makefile	2006-11-18 01:44:51.000000000 +0800
+++ /usr/ports/sunpoet/php5-ffmpeg/Makefile	2008-10-16 10:52:09.049375774 +0800
@@ -5,13 +5,27 @@
 # $FreeBSD: ports/graphics/php5-ffmpeg/Makefile,v 1.1 2006/11/17 17:44:51 acm Exp $
 #
 
+PORTNAME=	ffmpeg
+PORTVERSION=	0.6.0
 CATEGORIES=	graphics
-
+MASTER_SITES=	SF
+MASTER_SITE_SUBDIR=${PORTNAME}-php
 PKGNAMEPREFIX=	php5-
+DISTNAME=	${PORTNAME}-php-${PORTVERSION}
+EXTRACT_SUFX=	.tbz2
 
-MASTERDIR=	${.CURDIR}/../../graphics/php4-ffmpeg
+MAINTAINER=	acm@FreeBSD.org
+COMMENT=	The ffmpeg shared extension for php
 
-IGNORE_WITH_PHP=4
+LIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd \
+		avutil.1:${PORTSDIR}/multimedia/ffmpeg
+
+CFLAGS+=	-I${LOCALBASE}/include
 DEFAULT_PHP_VER=5
+IGNORE_WITH_PHP=4
+USE_BZIP2=	yes
+USE_PHP=	yes
+USE_PHPIZE=	yes
+USE_PHPEXT=	yes
 
-.include "${MASTERDIR}/Makefile"
+.include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/graphics/php5-ffmpeg/distinfo /usr/ports/sunpoet/php5-ffmpeg/distinfo
--- /usr/ports/graphics/php5-ffmpeg/distinfo	2006-11-18 01:44:51.000000000 +0800
+++ /usr/ports/sunpoet/php5-ffmpeg/distinfo	2008-10-16 10:44:32.470758939 +0800
@@ -1,3 +1,3 @@
-MD5 (ffmpeg-php-0.5.0.tbz2) = f13bbbe9d46ba29402fefb942a2c4adf
-SHA256 (ffmpeg-php-0.5.0.tbz2) = 9f6ac3ca74cd867c60fd84eab026493e558f5d929be7bb9028dfad1955926962
-SIZE (ffmpeg-php-0.5.0.tbz2) = 1606351
+MD5 (ffmpeg-php-0.6.0.tbz2) = f779c0dbffda9dac54729d60c0e04c05
+SHA256 (ffmpeg-php-0.6.0.tbz2) = ec8a9847e0f4d5101a5afedb7dac318e9a13f099865215ae99d08d56add9b141
+SIZE (ffmpeg-php-0.6.0.tbz2) = 275557
===> Done

On Fri, Sep 05, 2008 at 02:44:08PM +0000, pav@FreeBSD.org wrote:
> Synopsis: [PATCH] graphics/php4-ffmpeg: update to 0.5.3.1
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: pav
> State-Changed-When: Fri Sep 5 14:43:56 UTC 2008
> State-Changed-Why: 
> Does not compile:
> 
> [..]
> /work/a/ports/graphics/php4-ffmpeg/work/ffmpeg-php-0.5.3.1/ffmpeg_movie.c:77: error: `ffmpeg_movie' undeclared here (not in a function)
> /work/a/ports/graphics/php4-ffmpeg/work/ffmpeg-php-0.5.3.1/ffmpeg_movie.c:77: error: `__construct' undeclared here (not in a function)
> [..]
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=126143
Comment 4 pav freebsd_committer 2008-10-16 09:17:37 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 5 pav freebsd_committer 2008-11-12 17:05:24 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter freebsd_committer 2008-11-12 17:06:43 UTC
pav         2008-11-12 17:06:31 UTC

  FreeBSD ports repository

  Modified files:
    graphics/php4-ffmpeg Makefile distinfo 
    graphics/php5-ffmpeg Makefile distinfo 
  Added files:
    graphics/php4-ffmpeg/files patch-config.m4 
  Log:
  - Update php4-ffmpeg to 0.5.1 (last version for php4)
  - Upgrade php5-ffmpeg from slave to standalone port and update to 0.6.0
  
  PR:             ports/126143
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net>
  Approved by:    maintainer timeout (acm; 4 weeks)
  
  Revision  Changes    Path
  1.8       +8 -9      ports/graphics/php4-ffmpeg/Makefile
  1.2       +3 -3      ports/graphics/php4-ffmpeg/distinfo
  1.1       +27 -0     ports/graphics/php4-ffmpeg/files/patch-config.m4 (new)
  1.2       +18 -4     ports/graphics/php5-ffmpeg/Makefile
  1.2       +3 -3      ports/graphics/php5-ffmpeg/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"